@font-face {
  font-display: swap;
  font-family: 'Nunito';
  font-style: normal;
  font-weight: 300;
  src: url('/fonts/nunito-v26-cyrillic_cyrillic-ext-300.woff2') format('woff2');
}

@font-face {
  font-display: swap;
  font-family: 'Nunito';
  font-style: normal;
  font-weight: 400;
  src: url('/fonts/nunito-v26-cyrillic_cyrillic-ext-regular.woff2') format('woff2');
}

@font-face {
  font-display: swap;
  font-family: 'Nunito';
  font-style: normal;
  font-weight: 500;
  src: url('/fonts/nunito-v26-cyrillic_cyrillic-ext-500.woff2') format('woff2');
}

@font-face {
  font-display: swap;
  font-family: 'Nunito';
  font-style: normal;
  font-weight: 600;
  src: url('/fonts/nunito-v26-cyrillic_cyrillic-ext-600.woff2') format('woff2');
}

@font-face {
  font-display: swap;
  font-family: 'Nunito';
  font-style: normal;
  font-weight: 700;
  src: url('/fonts/nunito-v26-cyrillic_cyrillic-ext-700.woff2') format('woff2');
}

@font-face {
  font-display: swap;
  font-family: 'Nunito';
  font-style: normal;
  font-weight: 800;
  src: url('/fonts/nunito-v26-cyrillic_cyrillic-ext-800.woff2') format('woff2');
}

@font-face {
  font-display: swap;
  font-family: 'Nunito';
  font-style: normal;
  font-weight: 900;
  src: url('/fonts/nunito-v26-cyrillic_cyrillic-ext-900.woff2') format('woff2');
}

.footer {
	text-align: center;
	margin-top: 30px;
	padding: 10px 15px;
}

.more_container {
    display: flex;
    justify-content: center;
    font-size: 24px;
    font-weight: 600;
    margin-top: 25px;
}

.more_button {
    color: #e9942e;
    background: white;
    border: 3px solid #e9942e;
    border-radius: 12px;
    padding: 10px 25px 10px 25px;
    text-transform: uppercase;
    transition: .3s color, .3s background;
}

.more_button:hover, .more_button:focus {
    color: white;
    background: #e9942e;
}

.popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 99999;
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

.popup.fade-in {
  pointer-events: all;
  opacity: 1;
}
.popup.fade-out {
  pointer-events: none;
  opacity: 0;
}

.popup-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  display: flex;
  flex-direction: column;
  background-color: #fff;
  border-radius: 12px;
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.3);
  max-width: 90%;
  max-height: 90%;
  overflow-y: auto;
  padding: 1.5em;
}

.popup-header {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  margin-bottom: 1em;
}

.popup-title {
  margin: 0;
  font-size: 1.5rem;
  font-weight: 600;
  text-align: center;
}

.popup-close {
  position: absolute;
  top: 0;
  right: 0;
  cursor: pointer;
  font-size: 1.5rem;
  font-weight: bold;
  padding: 0.25em 0.5em;
  line-height: 1;
  color: #999;
  transition: color 0.2s ease-in-out;
}
.popup-close:hover {
  color: #333;
}

.popup-body {
  text-align: center;
  font-size: 1rem;
  line-height: 1.4;
}

.popup-body p {
  margin: 0.75em 0;
}


.popup.product-popup .popup-body .btn {
  color: #fff;
}
.popup-body a {
  text-decoration: none;
  font-weight: 600;
  color: #fff;
}
.popup-body a:hover {
  text-decoration: underline;
}

.popup button {
  padding: 0.75em 1.5em;
  border: none;
  border-radius: 6px;
  font-size: 1rem;
  cursor: pointer;
  transition: background-color 0.2s ease-in-out;
}
.popup button:hover {
  background-color: rgba(0, 0, 0, 0.05);
}

.popup .big-margin {
  margin-top: 2em !important;
}
.popup .space-out {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.popup .black { color: #000 !important; }
.popup .white { color: #fff !important; }
.popup .red   { color: red !important; }
.popup .green { color: #0f0 !important; }
.popup .blue  { color: #00f !important; }

.popup .red-button {
  background-color: red !important;
  color: #fff !important;
}
.popup .green-button {
  background-color: #0f0 !important;
  color: #000 !important;
}
.popup .blue-button {
  background-color: #00f !important;
  color: #fff !important;
}

.popup .bold {
  font-weight: 800;
}
.popup .shadow {
  text-shadow: 0 0 5px #000;
}


.popup.product-popup .popup-body {
  padding-bottom: 0 !important;
}
.popup-body div {
  color: #999;
}

.popup-terms {
  display: flex;
  justify-content: space-between;
  color: #505050;
  margin-bottom: 10px;
}
.popup-term div:first-child {
  color: #999;
}
.popup-term div:last-child {
  font-weight: 700;
  color: #505050;
}
.popup-term div span {
  color: #FFAF4E;
}

.rrps-body {
  font-weight: 700;
  font-size: min(17px, 4vw);
  color: #505050 !important;
}
.rrps-body span {
  color: #FFAF4E;
}
.doc-link {
  color: #999!important;
  text-decoration: underline!important;
  font-size: 14px;
}

.popup-body .btn {
  margin-top: 15px;
}

* {
  padding: 0;
  margin: 0;
  border: 0;
}
*,
*:before,
*:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

p {
  font-size: 18px;
  padding: 8px 0;
  line-height: 1.7;
}

ul {
  margin-bottom: 24px;
}

li {
  margin-bottom: 8px;
  position: relative;
}

a {
  text-decoration: none;
  transition: color 0.3s, transform 0.3s;
  position: relative;
  padding-bottom: 2px;
}

h1 {
  font-size: 2.5em;
}

h2 {
  font-size: 2em;
}

h3 {
  font-size: 1.75em;
}

h4 {
  font-size: 1.5em;
}

h5 {
  font-size: 1.25em;
}

h6 {
  font-size: 1.125em;
}

:root {
  --container-max-width: 1200px;
  --container-padding: 15px;
  --card-background: #fcf9f6;
  --body-background: #f6eee5;
  --button-color: #FFAF4E;
}

body {
  background-color: var(--body-background);
  color: #1a1a1a;
  line-height: 1.5;
  font-family: 'Nunito', sans-serif;
}

.container {
  width: 100%;
  max-width: var(--container-max-width);
  margin: 0 auto;
  padding: 0 var(--container-padding);
  box-sizing: border-box;
}

header {
  display: flex;
  justify-content: space-between;
  background-color: #f9dbb8;
  box-shadow: 0px 0.5px 0.5px 0px rgba(0, 0, 0, 0.25);
  padding: 10px;
  border-bottom: 1px solid #dedede;
}

.clock-wrapper {
	display: flex;
	justify-content: center;
}

.clock {
	display: flex;
	background: var(--card-background);
	border-radius: 10px;
	padding: 5px 15px;
	max-width: 300px;
    width: 100%;
	gap: 15px;
	align-items: center;
	border: 1px solid black;
}
.clock img {
	max-width: 30px;
}

.hero .clock>p {
	padding: 0;
	color: black;
	font-weight: 600;
	line-height: 1.1;
}

.approval-rating-wrapper-flex {
	display: flex;
	justify-content: center;
}

.approval-rating-wrapper {
  width: 200px;
  height: 30px;
  border-radius: 10px;
  background-color: #fff;
  overflow: hidden;
  border: 1px solid black;
}

.approval-rating {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 15px;
  font-weight: bold;
  color: #000;
  border-radius: inherit;
}

.approval-rating-p {
	color: black;
	font-size: 16px;
}

.header-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Лого / название */
.logo {
  display: inline-block;
}
.logo img {
  max-width: 180px;
}

.header-promos {
  position: relative;
}

.header-promo {
  font-size: 11px;
  font-weight: 700;
  padding: 5px;
}

.header-promo:first-child {
  font-size: 15px;
  color: #000000;
  position: relative;
  z-index: 100;
}

.header-promo:nth-child(2) {
  color: #000000;
  font-size: 13px;
  border: 1px solid #000000;
  border-radius: 10px;
  background: #FDEC49;
  padding: 3px 7px;
  position: absolute;
  right: 0;
  margin-top: -10px;
  z-index: 1;
  transform: rotate(-6deg);
  text-transform: uppercase;
}

main {
  max-width: 1200px;
  margin: 0 auto;
  padding: 20px 20px 40px 20px;
}

/* Секция заголовка и описания */
.hero {
  text-align: center;
  margin-top: 15px;
  margin-bottom: 30px;
}

.hero-wrapper {
  display: flex;
  justify-content: center;
  gap: 15px;
  align-items: center;
}
.hero h1 {
	color: #FFAF4E;
  font-size: 41px;
	-webkit-text-stroke-width: 0.5px;
	-webkit-text-stroke-color: #000;
}
.hero h1 span {
	color: #FFE700;
	font-size: 51px;
	-webkit-text-stroke-width: 0.5px;
	-webkit-text-stroke-color: #000;
}

.hero-wrapper img {
	max-width: 110px;
}
.hero p {
  color: #214280;
  font-size: 18px;
}

.hero>p {
  color: #000;
}
.hero .highlight {
  font-size: 24px;
  font-weight: bold;
  color: black;
  line-height: 1.1;
}

.hero-block span {
	font-size: 24px;
  font-weight: bold;
  color: black;
  line-height: 1.1;
}

.hero-block p {
	color: black;
}

/* Карточки предложений */
.cards {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  max-width: 1000px;
  margin: 0 auto;
}

.card {
  background-color: var(--card-background);
  border: 1px solid #dedede;
  border-radius: 12px;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  padding: 20px 25px;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
}

.card-body {
	position: relative;
	display: grid;
	grid-template-columns: 0.9fr 1.1fr;
	gap: 25px;
	padding: 10px 0;
}

.card-header {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-bottom: 0;
}
.card-header img {
  max-width: 100%;
  max-height: 100px;
}
.card-header>span {
	color: #7f7f7f;
	font-size: 14px;
}
.card-body .card-promo {
  position: absolute;
  top: -30px;
  color: #000;
  background-color: #FFAF4E;
  font-size: 12px;
  font-weight: bold;
  padding: 5px 15px;
  border: 1px solid #000;
  border-radius: 15px;
  font-weight: 500;
	left: 30%;
	right: 30%;
}
.card-header .no-refuse-label {
  background-color: #2c5fa6;
  color: #ffffff;
  font-size: 14px;
  font-weight: bold;
  padding: 4px 8px;
  border-radius: 4px;
  margin-right: 8px;
}

.card-title {
  font-size: 16px;
  color: #214280;
  text-align: left;
}

.card-title span {
  font-weight: 600;
}

/* Рейтинг (звезды) */
.rating {
  text-align: left;
	display: flex;
	align-items: center;
}
.star {
  color: #ffc107;
  font-size: 18px;
  margin-right: 2px;
}
.rating-value {
	font-size: 13px;
	color: #7f7f7f;
	margin-left: 1px;
	margin-top: 1px;
}

/* Информация о кредите */
.info-list {
	margin-top: 10px;
	display: grid;
  text-align: center;
  line-height: 1.6;
  font-size: 18px;
  list-style-type: none;
	justify-content: center;
}
.info-list .info-item {
  margin-bottom: 8px;
  color: black;
  font-weight: 600;
	text-align: left;
	font-size: 16px;
}
.info-list .info-item span:first-child {
	font-size: 14px;
	color: #7f7f7f;
}
.info-item span {
  font-weight: 400;
}
.info-item span:last-child {
	font-weight: 700;
}

/* Кнопки */
.btn {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  text-decoration: none;
  color: #ffffff;
  background-color: var(--button-color);
  padding: 12px 20px;
  border-radius: 12px;
  font-weight: bold;
  transition: background-color 0.3s;
  margin-bottom: 8px;
  border: 1px solid black;
  font-size: 20px;
  text-transform: uppercase;
  position: relative;
}
.btn:hover {
  background-color: #e9942e;
  cursor: pointer;
}
.btn img {
	width: 25px;
}
button {
	line-height: 1.5 !important;
    font-family: 'Nunito', sans-serif !important;
}

.details-link {
  font-size: 14px;
  color: #FFAF4E !important;
  text-decoration: underline !important;
  transition: color 0.3s;
  background: inherit !important;
}
.details-link:hover {
  text-decoration: underline !important;
  color: #e9942e;
  cursor: pointer;
}

.btn-wrapper {
	position: relative;
	display: flex;
	flex-direction: column;
	justify-content: center;
    align-items: center;
}
.btn-wrapper .btn {
	max-width: 94%;
}

.action {
	font-size: 11px;
	width: 94%;
	color: #F85C50;
	text-align: right;
}

.arrow {
	position: absolute;
	right: -10px;
	bottom: 5px;
}

.card .btn:after, .card .btn:before {
    content: '';
    position: absolute;
    top: calc(50% - 22px);
    left: calc(50% - 22px);
    background: rgba(255, 255, 255, .15);
    border-radius: 100px;
    opacity: 0;
    width: 44px;
    height: 44px;
    z-index: 100;
}

.card .btn:before {
    transform: scale(1);
    -webkit-animation: pulseblob 1s infinite linear;
    -moz-animation: pulseblob 1s infinite linear;
    -ms-animation: pulseblob 1s infinite linear;
    -o-animation: pulseblob 1s infinite linear;
    animation: pulseblob 1s infinite linear;
}

.card .btn:after {
    -webkit-animation: pulseblob 1.5s 1s infinite linear;
    -moz-animation: pulseblob 1.5s 1s infinite linear;
    -ms-animation: pulseblob 1.5s 1s infinite linear;
    -o-animation: pulseblob 1.5s 1s infinite linear;
    animation: pulseblob 1.5s 1s infinite linear;
}

@keyframes pulseblob {
    0% {
        transform: scale(.2);
        opacity: 0
    }

    33% {
        transform: scale(1);
        opacity: 1
    }

    100% {
        transform: scale(3);
        opacity: 0
    }
}

/* Адаптивность */
@media screen and (max-width: 768px) {
  main {
    padding: 0;
  }
	.logo img {
		max-width: 150px;
	}
	header {
		padding: 0;
	}
  .cards {
    grid-template-columns: 1fr;
  }
  .card {
    padding: 17px 15px;
  }
  .hero h1 {
    font-size: 41px;
	line-height: 1.1;
  }
  .hero .highlight {
    font-size: 20px;
  }
  .hero p {
    font-size: 14px;
    line-height: 1.1;
    font-weight: 500;
  }
	
.clock {
	justify-content: space-between;
	max-width: 250px;
}
	
	.clock img {
		max-width: 23px;
	}

  .card-body .card-promo {
    font-size: 11px;
    padding: 4px 7px;
  }

  .card-title {
    font-size: 14px;
  }
  .info-list {
    font-size: 18px;
  }
}

@media screen and (max-width: 460px) {
	.hero-block span {
		font-size: 18px;
	}
	.clock {
		max-width: 200px;
		gap: 10px;
	}
	.clock img {
		max-width: 20px;
	}
	.hero .clock>p {
		font-size: 13px;
	}
	.hero-wrapper {
		gap: 5px;
	}
	.logo img {
		max-width: 140px;
	}
	.hero .highlight {
		padding-top: 0;
		font-size: 16px;
	}
	.hero h1 {
		font-size: 33px;
	}
	.hero h1 span {
		font-size: 41px;
	}
	.card-header img {
		max-height: 75px;
	}
  .header-promos {
    margin-top: -30px;
  }
  .info-list {
    margin-bottom: 12px;
  }
  .info-list .info-item {
    margin-bottom: 5px;
  }
  .cards {
    gap: 35px;
  }

  .btn {
    font-size: 20px;
    padding: 12px 0;
  }
  .details-link {
    font-size: 10px;
  }
	.card-header>span {
		font-size: 12px;
	}
	.info-list .info-item span {
		font-size: 14px;
	}
	.info-list .info-item span:first-child {
		font-size: 12px;
	}
	.card-body .card-promo {
		left: 25%;
		right: 25%;
	}
}

@media screen and (max-width: 360px) {
	.clock {
		padding: 5px 10px;
	}
	.hero p {
		font-size: 12px;
	}
	.hero-block span {
		font-size: 16px;
	}
	.hero-wrapper img {
		max-width: 95px;
	}
	.hero h1 {
		font-size: 30px;
	}
	.hero h1 span {
		font-size: 38px;
	}
  .hero .highlight {
    font-size: 12px;
  }
  .info-list {
    font-size: 12px;
  }

  .btn {
    font-size: 20px;
  }
	.logo img {
		max-width: 125px;
	}
}

@media screen and (max-width: 360px) {
	.hero h1 {
		font-size: 28px;
	}
	.hero-wrapper img {
		max-width: 85px;
	}
	.card-body .card-promo {
		font-size: 10px;
		padding: 3px 6px;
	}
	.card-body {
		gap: 15px;
		grid-template-columns: 0.85fr 1.15fr;
	}
	.rating-value {
		margin-top: 0;
		font-size: 12px;
	}
	.star {
		font-size: 16px;
	}
	.card-header>span {
		margin-top: -5px;
		font-size: 11px;
	}
	.info-list .info-item span:first-child {
		font-size: 11px;
	}
	.info-list .info-item span {
		font-size: 12px;
	}
	.card-body {
		padding: 5px 0;
	}
}
